<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
  <script type="text/javascript" src="../public/js/clustering.js" th:src="@{/js/clustering.js}"></script>
</head>

<body>

<div class="container-fluid">

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
      <a class="navbar-brand" href="/" th:text="#{Home}"></a>
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">

        <!-- Display Level -->
        <li class="nav-item m-1">
          <a class="nav-link" th:text="#{Display_Level(${currentLevel})}"></a>
        </li>

        <li class="nav-item dropdown m-1">
          <a class="nav-link dropdown-toggle" style="color: white;" th:text="#{Level}" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false"></a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <div th:if="${levelCount} > 1" th:each="i : ${#numbers.sequence( 0, levelCount -1)}">
              <li><a class="dropdown-item" th:href="@{'/hierarchy-level/' + ${i}}" th:text="${i}"></a></li>
            </div>
            <div th:if="${levelCount} == 1">
              <li><a class="dropdown-item" href="/hierarchy-level/0" th:text="0"></a></li>
            </div>
          </ul>
        </li>

        <!-- Tree -->
        <li th:if="${levelCount} > 1" class="nav-item m-1">
          <a class="btn btn-secondary" href="/tree" th:text="#{Tree}"></a>
        </li>
        <!-- Export -->
        <li th:if="${levelCount} > 1" class="nav-item m-1">
          <a class="btn btn-secondary" href="/hierarchy/client-export.json" th:text="#{Hierarchy_Export}"></a>
        </li>
      </ul>

    </div>
  </nav>

  <div th:if="${nofiles}" class="container-fluid">
    <div class="page-template">
      <h1 th:text="#{Nothing_To_Display}"></h1>
    </div>
  </div>

  <div th:unless="${nofiles} " class="container-fluid">
    <div id="album" th:attr="class=${classAlbum}">
      <div class="container-fluid">
        <div th:if="${not #lists.isEmpty(filesWithoutClusterId)}" class="container-fluid">
          <h1 th:text="#{Files_In_Process}"></h1>
          <div class="row">
            <div th:each="file : ${filesWithoutClusterId}">
              <div th:if="${not #lists.isEmpty(file.distancesToCluster)}" class="card" style="background-color: blueviolet">
                <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                  <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                </a>
                <label class="form-check-label">
                  <p class="card-text" th:text="${file.filename}"></p>
                </label>
              </div>
              <div th:if="${#lists.isEmpty(file.distancesToCluster)}" class="card">
                <a th:href="${file.filePath}" th:attr="download=${file.filename}">
                  <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
                </a>
                <label class="form-check-label">
                  <p class="card-text" th:text="${file.filename}"></p>
                </label>
              </div>
            </div>
          </div>
        </div>
        <div th:if="${not #maps.isEmpty(mapClassViews)}" class="container-fluid">
          <h1 th:text="#{Sorted_Files}"></h1>


          <!-- Classes, Accordion: one per class -->
          <div class="accordion mt-4" th:each="classView, index: ${mapClassViews}">

            <div class="accordion-item" style="background: #f7f7f7">

              <!--  Class name -->
              <h2 class="accordion-header" id="${classView['key'] == 'zzzz_No_Named'} ? #{Unnamed} : ${classView['key']}">
                <button class="accordion-button" th:text="${classView['key'] == 'zzzz_No_Named'} ? #{Unnamed} : ${classView['key']}" type="button" data-bs-toggle="collapse" th:data-bs-target="'#collapse' + ${#strings.replace(classView['key'], ' ','')}" aria-expanded="true" th:aria-controls="'collapse' + ${#strings.replace(classView['key'], ' ','')}">
                </button>
              </h2>

              <!--  Clusters -->
              <!-- ⚠️ see functions ExpandAll/CollapseAll/UpdateExpandAllSortedState -->
              <!-- ⚠️ Collapsed by default for perf reason -->
              <div th:id="'collapse' + ${#strings.replace(classView['key'], ' ','')}" class="accordion-collapse collapse show" th:aria-labelledby="${classView['key'] == 'zzzz_No_Named'} ? #{Unnamed} : ${classView['key']}">
                <div class="accordion-body">

                  <div class="row mb-3" th:each="clusterId: ${classView.value}">

                    <!-- Cluster id -->
                    <div th:text="${clusterId.value.displayName()}"></div>

                    <!-- Cluster elements -->
                    <div class="container-fluid">

                      <div th:each="file : ${clusterId.value.fileUIViews}">
                        <div th:insert="~{fragments/file-view :: file-view (file=${file},static=true,onlyClusterCenterCanBeSelected=false)}"></div>
                      </div>

                    </div>
                  </div>

                </div>
              </div>

            </div>

          </div>


        </div>
      </div>
    </div>
  </div>
</div>

</body>
</html>
